# This is the configuration file for Icinga for Kubernetes.

# Connection configuration for the database to which Icinga for Kubernetes synchronizes data.
# This is also the database used in Icinga for Kubernetes Web to view and work with the data.
database:
  # Database type. Only 'mysql' is supported yet which is the default.
#  type: mysql

  # Database host or absolute Unix socket path.
  host: localhost

  # Database port. By default, the MySQL port.
#  port:

  # Database name.
  database: kubernetes

  # Database user.
  user: kubernetes

  # Database password.
  password: CHANGEME

# Configuration for Prometheus metrics API.
prometheus:
  # Prometheus server URL.
#  url: http://localhost:9090
